--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from
- !ruby/object:RI::MethodSummary 
  name: new
comment: []

constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: FIELDS
  value: "[     :checksum,     :devmajor,     :devminor,     :gid,     :gname,     :linkname,     :magic,     :mode,     :mtime,     :name,     :prefix,     :size,     :typeflag,     :uid,     :uname,     :version,   ]"
- !ruby/object:RI::Constant 
  comment: 
  name: PACK_FORMAT
  value: "'a100' + # name                 'a8'   + # mode                 'a8'   + # uid                 'a8'   + # gid                 'a12'  + # size                 'a12'  + # mtime                 'a7a'  + # chksum                 'a'    + # typeflag                 'a100' + # linkname                 'a6'   + # magic                 'a2'   + # version                 'a32'  + # uname                 'a32'  + # gname                 'a8'   + # devmajor                 'a8'   + # devminor                 'a155'"
- !ruby/object:RI::Constant 
  comment: 
  name: UNPACK_FORMAT
  value: "'A100' + # name                   'A8'   + # mode                   'A8'   + # uid                   'A8'   + # gid                   'A12'  + # size                   'A12'  + # mtime                   'A8'   + # checksum                   'A'    + # typeflag                   'A100' + # linkname                   'A6'   + # magic                   'A2'   + # version                   'A32'  + # uname                   'A32'  + # gname                   'A8'   + # devmajor                   'A8'   + # devminor                   'A155'"
full_name: Gem::Package::TarHeader
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: empty?
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: update_checksum
name: TarHeader
superclass: Object
